#include "rectangle.h"


//------------------------------------------------------------------
rectangle::rectangle(){
	//catchUpSpeed = 0.06f;
	shapeWidth = 2;
	shapeHeight = 2;
}

//------------------------------------------------------------------
void rectangle::draw() {
	ofNoFill();
	ofSetRectMode(OF_RECTMODE_CENTER); // center around the position
    ofSetColor(colorR, colorG, colorB);
    //ofRect(pos.x, pos.y, rectWidth, rectHeight);
	ofTriangle(pos.x, pos.y-shapeHeight*1.5, pos.x-shapeWidth, pos.y+shapeHeight*.8, pos.x+shapeWidth, pos.y+shapeHeight*.8);
}

//------------------------------------------------------------------
void rectangle::xenoToPoint(float catchX, float catchY){
	pos.x = catchUpSpeed * catchX + (1-catchUpSpeed) * pos.x; 
	pos.y = catchUpSpeed * catchY + (1-catchUpSpeed) * pos.y; 
}

