#include "testApp.h"
#include "ofMain.h"

//--------------------------------------------------------------
void testApp::setup(){

	
	// macs by default run on non vertical sync, which can make animation very, very fast
	// this fixes that: 
	
	ofSetVerticalSync(true);
	
	// set background: 
	
	ofEnableAlphaBlending();
	ofBackground(50,50,50);
	sinOfTimeMapped = 0;
	sinOfTimeMapped2 = 0;
	sinOfTimeMapped3 = 0;
	
	// set the position of the rectangle:

	
	for (int i=0; i < 20; i++) {
		
		set1[i].pos.x = ofGetWidth()/2;
		set1[i].pos.y = ofGetHeight()/2;
		set1[i].colorR = 233;
		set1[i].colorG = 0;
		set1[i].colorB = 0;
		set1[i].shapeWidth = 1+8*(i+1);
		set1[i].shapeHeight= 1+6*(i+1);
		set1[i].catchUpSpeed = 0.02-.0002*(i+1);
		
		
	} // end for
	
}

//--------------------------------------------------------------
void testApp::update(){
	for (int i=0; i < 20; i++) {
		//myRectangle[i].xenoToPoint(mouseX, mouseY);		
		
		sinOfTime				= sin( ofGetElapsedTimef() );
		sinOfTimeMapped			= ofMap( sinOfTime, -1, 1, 0, 255);
		sinOfTimeMapped2		= ofMap(sinOfTime, -1, 1, ofGetWidth()/5, 4*ofGetWidth()/5);
		sinOfTimeMapped3		= ofMap(sinOfTime, -1, 1, 0, ofGetHeight());
		
		set1[i].colorG			= sinOfTimeMapped;
		set1[i].colorB			= sinOfTimeMapped;
		//set1[i].xenoToPoint(sinOfTimeMapped2, sinOfTimeMapped3);
		
		
		/*float xorig		= sinOfTimeMapped2;
		float yorig		= sinOfTimeMapped3;*/
		float xorig		= ofGetWidth()/2;
		float yorig		= ofGetHeight()/2;
		float radius	= 350;
		//float angle		= ofGetElapsedTimef()*5;
		float angle		= ofGetElapsedTimef()*(1 + i / 10.0);
		float xenoX = xorig + radius * cos(angle);
		float xenoY = yorig + radius * -sin(angle);
		
		set1[i].xenoToPoint(xenoX, xenoY);
		

	} // end for
}

//--------------------------------------------------------------
void testApp::draw(){
	
	for (int i=0; i < 20; i++) {
		set1[i].draw();
	} // end for

}

//--------------------------------------------------------------
void testApp::keyPressed  (int key){
}

//--------------------------------------------------------------
void testApp::keyReleased  (int key){
}

//--------------------------------------------------------------
void testApp::mouseMoved(int x, int y ){
}

//--------------------------------------------------------------
void testApp::mouseDragged(int x, int y, int button){
	for (int i=0; i < 20; i++) {
		set1[i].xenoToPoint(x, y);
	} // end for
}

//--------------------------------------------------------------
void testApp::mousePressed(int x, int y, int button){
}

//--------------------------------------------------------------
void testApp::mouseReleased(){
}
